This is a toolbox to build a linux initramfs. Since it has hardware
autodetection, it should be a good base for a "live"/"mobile" linux based
operating systems.

During early user space
  1 - it modprobes (using libkmod) the disk drivers based on sysfs modalias
  2 - it tries to locate the root file system (using libblkid) based on the
      cinitramfs_root_uuid kernel parameter from the boot loader
  3 - it modprobes (using libkmod) its filesystem (autodetected with libblkid)
      modules
  4 - it execves /bin/init from the real root.

See ./make --help (you should have all required options for cross compiling
friendlyness)

Please use a build directory different than the source directory.

coding style is c90 compact:
 - indent is 2 spaces
 - 80 columns
